petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscQuadratureGetData

Returns the data defining the quadrature

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureGetData(PetscQuadrature q, PetscInt *dim, PetscInt *npoints, const PetscReal *points[], const PetscReal *weights[])

Not collective Many br

### Input Parameter

q -The PetscQuadrature object Many br

### Output Parameters

| dim | - The spatial dimension Many br
| npoints | - The number of quadrature points Many br
| points | - The coordinates of each quadrature point Many br
| weights | - The weight of each quadrature point Many br

Many br

### Keywords

PetscQuadrature, quadrature

### See Also

PetscQuadratureCreate(), PetscQuadratureSetData()

Level:intermediate
Location:src/dm/dt/interface/dt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages